org.apache.olingo.odata2.api.edm.provider

## Class NavigationProperty

- java.lang.Object
- - org.apache.olingo.odata2.api.edm.provider.NavigationProperty

-     public class NavigationProperty
      extends Object

  Objects of this Class represent a navigation property

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NavigationProperty()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<AnnotationAttribute>` | `getAnnotationAttributes()`
    `List<AnnotationElement>` | `getAnnotationElements()`
    `Documentation` | `getDocumentation()`
    `String` | `getFromRole()`
    `Mapping` | `getMapping()`
    `String` | `getName()`
    `FullQualifiedName` | `getRelationship()`
    `String` | `getToRole()`
    `NavigationProperty` | `setAnnotationAttributes(List<AnnotationAttribute> annotationAttributes)` Sets the List of `AnnotationAttribute` for this `NavigationProperty`
    `NavigationProperty` | `setAnnotationElements(List<AnnotationElement> annotationElements)` Sets the List of `AnnotationElement` for this `NavigationProperty`
    `NavigationProperty` | `setDocumentation(Documentation documentation)` Sets the `Documentation` for this `NavigationProperty`
    `NavigationProperty` | `setFromRole(String fromRole)` Sets the role this `NavigationProperty` is comming from
    `NavigationProperty` | `setMapping(Mapping mapping)` Sets the `Mapping` for this `NavigationProperty`
    `NavigationProperty` | `setName(String name)` Sets the name of this `NavigationProperty`
    `NavigationProperty` | `setRelationship(FullQualifiedName relationship)` Sets the `FullQualifiedName` for the relationship of this `NavigationProperty`
    `NavigationProperty` | `setToRole(String toRole)` Sets the role this `NavigationProperty` is going to

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NavigationProperty

          public NavigationProperty()

  - ### Method Detail

    - #### getName

          public String getName()

      Returns:
        String name of this navigation property

    - #### getRelationship

          public FullQualifiedName getRelationship()

      Returns:
        `FullQualifiedName` of the relationship

    - #### getFromRole

          public String getFromRole()

      Returns:
        String name of the role this navigation is comming from

    - #### getToRole

          public String getToRole()

      Returns:
        String name of the role this navigation is going to

    - #### getMapping

          public Mapping getMapping()

      Returns:
        `Mapping` of this navigation property

    - #### getDocumentation

          public Documentation getDocumentation()

      Returns:
        `Documentation` documentation

    - #### getAnnotationAttributes

          public List<AnnotationAttribute> getAnnotationAttributes()

      Returns:
        List of `AnnotationAttribute` annotation attributes

    - #### getAnnotationElements

          public List<AnnotationElement> getAnnotationElements()

      Returns:
        List of `AnnotationElement` annotation elements

    - #### setName

          public NavigationProperty setName(String name)

      Sets the name of this `NavigationProperty`
      Parameters:
        `name` -
      Returns:
        `NavigationProperty` for method chaining

    - #### setRelationship

          public NavigationProperty setRelationship(FullQualifiedName relationship)

      Sets the `FullQualifiedName` for the relationship of this `NavigationProperty`
      Parameters:
        `relationship` -
      Returns:
        `NavigationProperty` for method chaining

    - #### setFromRole

          public NavigationProperty setFromRole(String fromRole)

      Sets the role this `NavigationProperty` is comming from
      Parameters:
        `fromRole` -
      Returns:
        `NavigationProperty` for method chaining

    - #### setToRole

          public NavigationProperty setToRole(String toRole)

      Sets the role this `NavigationProperty` is going to
      Parameters:
        `toRole` -
      Returns:
        `NavigationProperty` for method chaining

    - #### setMapping

          public NavigationProperty setMapping(Mapping mapping)

      Sets the `Mapping` for this `NavigationProperty`
      Parameters:
        `mapping` -
      Returns:
        `NavigationProperty` for method chaining

    - #### setDocumentation

          public NavigationProperty setDocumentation(Documentation documentation)

      Sets the `Documentation` for this `NavigationProperty`
      Parameters:
        `documentation` -
      Returns:
        `NavigationProperty` for method chaining

    - #### setAnnotationAttributes

          public NavigationProperty setAnnotationAttributes(List<AnnotationAttribute> annotationAttributes)

      Sets the List of `AnnotationAttribute` for this `NavigationProperty`
      Parameters:
        `annotationAttributes` -
      Returns:
        `NavigationProperty` for method chaining

    - #### setAnnotationElements

          public NavigationProperty setAnnotationElements(List<AnnotationElement> annotationElements)

      Sets the List of `AnnotationElement` for this `NavigationProperty`
      Parameters:
        `annotationElements` -
      Returns:
        `NavigationProperty` for method chaining

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.